Method: featuredContentPlaybooks.list

Full name: projects.locations.instances.contentHub.featuredContentPlaybooks.list

Lists all available FeaturedContentPlaybooks. Use this method to browse curated, high-quality playbooks provided by Google or its partners within the Content Hub. Supports filtering by various attributes like display name, type, and source.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/featuredContentPlaybooks

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of FeaturedContentPlaybooks. Format: projects/{project}/locations/{location}/instances/{instance}/contentHub

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of FeaturedContentPlaybooks to return. The service may return fewer than this value. If unspecified, at most 100 FeaturedContentPlaybooks will be returned. The maximum value is 100; values above 100 will be coerced to 100.

pageToken

string

Optional. A page token, received from a previous featuredContentPlaybooks.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to featuredContentPlaybooks.list must match the call that provided the page token.

filter

string

Optional. The filter to apply to list the FeaturedContentPlaybooks. The filter syntax follows Google Cloud syntax: https://google.aip.dev/160. Supported fields: - name - uid - contentMetadata.display_name - contentMetadata.create_time - contentMetadata.update_time - content.type (e.g., content.type = "PLAYBOOK") - content.source (e.g., content.source = "GOOGLE")

Example filter: contentMetadata.display_name = "My Playbook" AND content.type = PLAYBOOK

orderBy

string

Optional. Order by a comma-separated list of fields. The default sorting order is ascending. To specify descending order for a field, users append a desc suffix. Supported fields: - name - uid - contentMetadata/displayName - contentMetadata/createTime - contentMetadata/updateTime - content/type - content/source If not specified, results will be ordered by uid. Example: contentMetadata/displayName desc, content/type

Request body

The request body must be empty.

Response body

Response message for listing FeaturedContentPlaybooks.

If successful, the response body contains data with the following structure:

JSON representation
{
  "featuredContentPlaybooks": [
    {
      object (FeaturedContentPlaybook)
    }
  ],
  "nextPageToken": string,
  "totalSize": integer
}
Fields
featuredContentPlaybooks[]

object (FeaturedContentPlaybook)

The list of FeaturedContentPlaybooks. Ordered by name by default.

nextPageToken

string

Output only. A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

totalSize

integer

Output only. The total number of FeaturedContentPlaybooks matching the request.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.